#### D.4.34.1 markov4ti2

Procedure from library `sing4ti2.lib` (see sing4ti2_lib).

Usage:
  markov4ti2(A[,i]);
  A=intmat
  i=int

Assume:
  - A is a matrix with integer entries which describes the lattice
  as ker(A), if second argument is not present,
  as left image Im(A) = {zA, z \in ZZ^k}(!), if second argument is a positive integer
  - number of variables of basering equals number of columns of A
  (for ker(A)) resp. of rows of A (for Im(A))

Create:
  files sing4ti2.mat, sing4ti2.lat, sing4ti2.mar in the current
  directory (I/O files for communication with 4ti2)

Note:
  input rules for 4ti2 also apply to input to this procedure
  hence ker(A)={x|Ax=0} and Im(A)={xA}

Return:
  toric ideal specified by Markov basis thereof

Example:

    LIB "sing4ti2.lib";
    ring r=0,(x,y,z),dp;
    matrix M[2][3]=0,1,2,2,1,0;
    markov4ti2(M);
    ==> _[1]=-y2+xz
    matrix N[1][3]=1,2,1;
    markov4ti2(N,1);
    ==> _[1]=xy2z-1
    ==> _[2]=xy2z-1

User manual for Singular version 4.4.1, 2025, generated by texi2html.